# PickTickets

## GET /pick-tickets

> Returns pick ticket list

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"PickTicketGetList":{"type":"object","properties":{"referenceNumber":{"type":"string","nullable":true},"poNumber":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"pickingInstructions":{"type":"string","nullable":true},"requiredDate":{"type":"string","format":"date-time","nullable":true},"cancelDate":{"type":"string","format":"date-time","nullable":true},"freightType":{"$ref":"#/components/schemas/FreightType"},"routeNumber":{"type":"string","nullable":true},"freightTerms":{"type":"string","nullable":true},"carrier":{"type":"string","nullable":true},"shippingService":{"type":"string","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"closeDate":{"type":"string","format":"date-time","nullable":true},"id":{"type":"string","format":"uuid"},"warehouse":{"$ref":"#/components/schemas/Warehouse"},"customer":{"$ref":"#/components/schemas/CustomerDetails"},"pickTicketNumber":{"type":"string","nullable":true}},"additionalProperties":false},"FreightType":{"enum":["TruckLoad","SmallParcel","PrivateFleet","External"],"type":"string"},"Warehouse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"warehouseCode":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"CustomerDetails":{"type":"object","properties":{"companyName":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/CustomerAddress"},"nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"customerCode":{"type":"string","nullable":true},"isDiscontinued":{"type":"boolean"}},"additionalProperties":false},"CustomerAddress":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"attnTo":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"routeNumber":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"ClientGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"ssccCompanyId":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/pick-tickets":{"get":{"tags":["PickTickets"],"summary":"Returns pick ticket list","parameters":[{"name":"clientId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PickTicketGetList"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PickTicketGetList"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PickTicketGetList"}}}}}}}}}}
```

## POST /pick-tickets

> Create new pick ticket

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"PickTicketCreate":{"type":"object","properties":{"referenceNumber":{"type":"string","nullable":true},"poNumber":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"pickingInstructions":{"type":"string","nullable":true},"requiredDate":{"type":"string","format":"date-time","nullable":true},"cancelDate":{"type":"string","format":"date-time","nullable":true},"freightType":{"$ref":"#/components/schemas/FreightType"},"routeNumber":{"type":"string","nullable":true},"freightTerms":{"type":"string","nullable":true},"carrier":{"type":"string","nullable":true},"shippingService":{"type":"string","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"closeDate":{"type":"string","format":"date-time","nullable":true},"warehouseId":{"type":"string","format":"uuid"},"customerId":{"type":"string","format":"uuid"},"pickTicketNumber":{"type":"string","nullable":true},"shipFrom":{"$ref":"#/components/schemas/Address"},"shipTo":{"$ref":"#/components/schemas/Address"},"billTo":{"$ref":"#/components/schemas/Address"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/PickTicketLineCreateUpdate"},"nullable":true}},"additionalProperties":false},"FreightType":{"enum":["TruckLoad","SmallParcel","PrivateFleet","External"],"type":"string"},"Address":{"type":"object","properties":{"name":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostal":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"PickTicketLineCreateUpdate":{"type":"object","properties":{"lineNumber":{"type":"integer","format":"int32","nullable":true},"packsize":{"type":"integer","format":"int32","nullable":true},"numberOfPacks":{"type":"integer","format":"int32","nullable":true},"productId":{"type":"string","format":"uuid"},"orderedQuantity":{"type":"number","format":"double","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true}},"additionalProperties":false},"IdDocument":{"type":"object","properties":{"id":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/pick-tickets":{"post":{"tags":["PickTickets"],"summary":"Create new pick ticket","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickTicketCreate"}},"text/json":{"schema":{"$ref":"#/components/schemas/PickTicketCreate"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PickTicketCreate"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"application/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"text/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}}}},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## PUT /pick-tickets

> Update an existing pick ticket

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"PickTicketUpdate":{"type":"object","properties":{"referenceNumber":{"type":"string","nullable":true},"poNumber":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"pickingInstructions":{"type":"string","nullable":true},"requiredDate":{"type":"string","format":"date-time","nullable":true},"cancelDate":{"type":"string","format":"date-time","nullable":true},"freightType":{"$ref":"#/components/schemas/FreightType"},"routeNumber":{"type":"string","nullable":true},"freightTerms":{"type":"string","nullable":true},"carrier":{"type":"string","nullable":true},"shippingService":{"type":"string","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"closeDate":{"type":"string","format":"date-time","nullable":true},"id":{"type":"string","format":"uuid"},"shipFrom":{"$ref":"#/components/schemas/Address"},"shipTo":{"$ref":"#/components/schemas/Address"},"billTo":{"$ref":"#/components/schemas/Address"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/PickTicketLineCreateUpdate"},"nullable":true}},"additionalProperties":false},"FreightType":{"enum":["TruckLoad","SmallParcel","PrivateFleet","External"],"type":"string"},"Address":{"type":"object","properties":{"name":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostal":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"PickTicketLineCreateUpdate":{"type":"object","properties":{"lineNumber":{"type":"integer","format":"int32","nullable":true},"packsize":{"type":"integer","format":"int32","nullable":true},"numberOfPacks":{"type":"integer","format":"int32","nullable":true},"productId":{"type":"string","format":"uuid"},"orderedQuantity":{"type":"number","format":"double","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true}},"additionalProperties":false},"IdDocument":{"type":"object","properties":{"id":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/pick-tickets":{"put":{"tags":["PickTickets"],"summary":"Update an existing pick ticket","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickTicketUpdate"}},"text/json":{"schema":{"$ref":"#/components/schemas/PickTicketUpdate"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PickTicketUpdate"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"application/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}},"text/json":{"schema":{"$ref":"#/components/schemas/IdDocument"}}}},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## GET /pick-tickets/{id}

> Returns a single pick ticket by id

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"PickTicketGetDetail":{"type":"object","properties":{"referenceNumber":{"type":"string","nullable":true},"poNumber":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"pickingInstructions":{"type":"string","nullable":true},"requiredDate":{"type":"string","format":"date-time","nullable":true},"cancelDate":{"type":"string","format":"date-time","nullable":true},"freightType":{"$ref":"#/components/schemas/FreightType"},"routeNumber":{"type":"string","nullable":true},"freightTerms":{"type":"string","nullable":true},"carrier":{"type":"string","nullable":true},"shippingService":{"type":"string","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"closeDate":{"type":"string","format":"date-time","nullable":true},"id":{"type":"string","format":"uuid"},"warehouse":{"$ref":"#/components/schemas/Warehouse"},"customer":{"$ref":"#/components/schemas/CustomerDetails"},"pickTicketNumber":{"type":"string","nullable":true},"totes":{"type":"array","items":{"$ref":"#/components/schemas/Tote"},"nullable":true},"lines":{"type":"array","items":{"$ref":"#/components/schemas/PickTicketLineGet"},"nullable":true}},"additionalProperties":false},"FreightType":{"enum":["TruckLoad","SmallParcel","PrivateFleet","External"],"type":"string"},"Warehouse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"warehouseCode":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"CustomerDetails":{"type":"object","properties":{"companyName":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/CustomerAddress"},"nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"customerCode":{"type":"string","nullable":true},"isDiscontinued":{"type":"boolean"}},"additionalProperties":false},"CustomerAddress":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"attnTo":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"routeNumber":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"ClientGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"ssccCompanyId":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Tote":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"sscc18Code":{"type":"string","nullable":true},"bolNumber":{"type":"string","nullable":true},"cartonNumber":{"type":"integer","format":"int32"},"carrier":{"type":"string","nullable":true},"shippingService":{"type":"string","nullable":true},"shippingCost":{"type":"number","format":"double","nullable":true},"shippingCostCurrency":{"type":"string","nullable":true},"trackTraceNumber":{"type":"string","nullable":true},"lines":{"type":"array","items":{"$ref":"#/components/schemas/ToteLine"},"nullable":true}},"additionalProperties":false},"ToteLine":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"pickedQuantity":{"type":"number","format":"double"},"shippedQuantity":{"type":"number","format":"double","nullable":true},"deliveredQuantity":{"type":"number","format":"double","nullable":true},"pickTicketLineId":{"type":"string","format":"uuid"},"product":{"$ref":"#/components/schemas/ProductGetList"},"details":{"type":"array","items":{"$ref":"#/components/schemas/ToteLineDetail"},"nullable":true}},"additionalProperties":false},"ProductGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"upc":{"type":"string","nullable":true},"barcodeType":{"$ref":"#/components/schemas/BarcodeType"},"barcodeValue":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"sku":{"type":"string","nullable":true}},"additionalProperties":false},"BarcodeType":{"enum":["Code128","ITF14","EAN13","UPCA"],"type":"string"},"ToteLineDetail":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"pickedQuantity":{"type":"number","format":"double"},"shippedQuantity":{"type":"number","format":"double","nullable":true},"deliveredQuantity":{"type":"number","format":"double","nullable":true},"lotNumber":{"type":"string","nullable":true},"serialNumber":{"type":"string","nullable":true},"expiryDate":{"type":"string","format":"date-time","nullable":true},"packsizeEachCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"PickTicketLineGet":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"lineNumber":{"type":"integer","format":"int32"},"product":{"$ref":"#/components/schemas/ProductGetList"},"orderedQuantity":{"type":"number","format":"double"},"pickedQuantity":{"type":"number","format":"double","nullable":true},"shippedQuantity":{"type":"number","format":"double","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/pick-tickets/{id}":{"get":{"tags":["PickTickets"],"summary":"Returns a single pick ticket by id","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PickTicketGetDetail"}},"application/json":{"schema":{"$ref":"#/components/schemas/PickTicketGetDetail"}},"text/json":{"schema":{"$ref":"#/components/schemas/PickTicketGetDetail"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```

## DELETE /pick-tickets/{id}

> Delete pick-ticket by Id

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}}},"paths":{"/pick-tickets/{id}":{"delete":{"tags":["PickTickets"],"summary":"Delete pick-ticket by Id","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"integer","format":"int32"}},"application/json":{"schema":{"type":"integer","format":"int32"}},"text/json":{"schema":{"type":"integer","format":"int32"}}}}}}}}}
```

## POST /pick-tickets/suspend/{id}

> Upload an existing pending pick tickets

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}}},"paths":{"/pick-tickets/suspend/{id}":{"post":{"tags":["PickTickets"],"summary":"Upload an existing pending pick tickets","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /pick-tickets/upload

> Upload an existing pending pick tickets

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"UploadRequest":{"type":"object","properties":{"ids":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"uploadedSuceeded":{"type":"boolean","nullable":true},"uploadMessage":{"type":"string","nullable":true},"resetUploadCount":{"type":"boolean","nullable":true}},"additionalProperties":false}}},"paths":{"/pick-tickets/upload":{"post":{"tags":["PickTickets"],"summary":"Upload an existing pending pick tickets","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/UploadRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UploadRequest"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## GET /pick-tickets/id-lookup

> Returns pick ticket by id

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}}},"paths":{"/pick-tickets/id-lookup":{"get":{"tags":["PickTickets"],"summary":"Returns pick ticket by id","parameters":[{"name":"clientId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string","format":"uuid"}},"application/json":{"schema":{"type":"string","format":"uuid"}},"text/json":{"schema":{"type":"string","format":"uuid"}}}}}}}}}
```

## GET /pick-tickets/{field}/{value}

> Returns a list of pick tickets by specified field/value

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"PickTicketGetDetail":{"type":"object","properties":{"referenceNumber":{"type":"string","nullable":true},"poNumber":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"pickingInstructions":{"type":"string","nullable":true},"requiredDate":{"type":"string","format":"date-time","nullable":true},"cancelDate":{"type":"string","format":"date-time","nullable":true},"freightType":{"$ref":"#/components/schemas/FreightType"},"routeNumber":{"type":"string","nullable":true},"freightTerms":{"type":"string","nullable":true},"carrier":{"type":"string","nullable":true},"shippingService":{"type":"string","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"closeDate":{"type":"string","format":"date-time","nullable":true},"id":{"type":"string","format":"uuid"},"warehouse":{"$ref":"#/components/schemas/Warehouse"},"customer":{"$ref":"#/components/schemas/CustomerDetails"},"pickTicketNumber":{"type":"string","nullable":true},"totes":{"type":"array","items":{"$ref":"#/components/schemas/Tote"},"nullable":true},"lines":{"type":"array","items":{"$ref":"#/components/schemas/PickTicketLineGet"},"nullable":true}},"additionalProperties":false},"FreightType":{"enum":["TruckLoad","SmallParcel","PrivateFleet","External"],"type":"string"},"Warehouse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"warehouseCode":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"CustomerDetails":{"type":"object","properties":{"companyName":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/CustomerAddress"},"nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"customerCode":{"type":"string","nullable":true},"isDiscontinued":{"type":"boolean"}},"additionalProperties":false},"CustomerAddress":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"attnTo":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"routeNumber":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"ClientGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"ssccCompanyId":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Tote":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"sscc18Code":{"type":"string","nullable":true},"bolNumber":{"type":"string","nullable":true},"cartonNumber":{"type":"integer","format":"int32"},"carrier":{"type":"string","nullable":true},"shippingService":{"type":"string","nullable":true},"shippingCost":{"type":"number","format":"double","nullable":true},"shippingCostCurrency":{"type":"string","nullable":true},"trackTraceNumber":{"type":"string","nullable":true},"lines":{"type":"array","items":{"$ref":"#/components/schemas/ToteLine"},"nullable":true}},"additionalProperties":false},"ToteLine":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"pickedQuantity":{"type":"number","format":"double"},"shippedQuantity":{"type":"number","format":"double","nullable":true},"deliveredQuantity":{"type":"number","format":"double","nullable":true},"pickTicketLineId":{"type":"string","format":"uuid"},"product":{"$ref":"#/components/schemas/ProductGetList"},"details":{"type":"array","items":{"$ref":"#/components/schemas/ToteLineDetail"},"nullable":true}},"additionalProperties":false},"ProductGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"upc":{"type":"string","nullable":true},"barcodeType":{"$ref":"#/components/schemas/BarcodeType"},"barcodeValue":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"client":{"$ref":"#/components/schemas/ClientGetList"},"sku":{"type":"string","nullable":true}},"additionalProperties":false},"BarcodeType":{"enum":["Code128","ITF14","EAN13","UPCA"],"type":"string"},"ToteLineDetail":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"pickedQuantity":{"type":"number","format":"double"},"shippedQuantity":{"type":"number","format":"double","nullable":true},"deliveredQuantity":{"type":"number","format":"double","nullable":true},"lotNumber":{"type":"string","nullable":true},"serialNumber":{"type":"string","nullable":true},"expiryDate":{"type":"string","format":"date-time","nullable":true},"packsizeEachCount":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"PickTicketLineGet":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"lineNumber":{"type":"integer","format":"int32"},"product":{"$ref":"#/components/schemas/ProductGetList"},"orderedQuantity":{"type":"number","format":"double"},"pickedQuantity":{"type":"number","format":"double","nullable":true},"shippedQuantity":{"type":"number","format":"double","nullable":true},"referenceNumber":{"type":"string","nullable":true},"reference1":{"type":"string","nullable":true},"reference2":{"type":"string","nullable":true},"reference3":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/pick-tickets/{field}/{value}":{"get":{"tags":["PickTickets"],"summary":"Returns a list of pick tickets by specified field/value","parameters":[{"name":"field","in":"path","required":true,"schema":{"type":"string"}},{"name":"value","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PickTicketGetDetail"}},"application/json":{"schema":{"$ref":"#/components/schemas/PickTicketGetDetail"}},"text/json":{"schema":{"$ref":"#/components/schemas/PickTicketGetDetail"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.p4.software/english-1/picktickets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
